"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = haikunate;
var adjs = ["autumn", "hidden", "bitter", "misty", "silent", "empty", "dry", "dark", "summer", "icy", "delicate", "quiet", "white", "cool", "spring", "winter", "patient", "twilight", "dawn", "crimson", "wispy", "weathered", "blue", "billowing", "broken", "cold", "damp", "falling", "frosty", "green", "long", "late", "lingering", "bold", "little", "morning", "muddy", "old", "red", "rough", "still", "small", "sparkling", "throbbing", "shy", "wandering", "withered", "wild", "black", "young", "holy", "solitary", "fragrant", "aged", "snowy", "proud", "floral", "restless", "divine", "polished", "ancient", "purple", "lively", "nameless", "lucky", "odd", "tiny", "free", "dry", "yellow", "orange", "gentle", "tight", "super", "royal", "broad", "steep", "flat", "square", "round", "mute", "noisy", "hushy", "raspy", "soft", "shrill", "rapid", "sweet", "curly", "calm", "jolly", "fancy", "plain", "shinny"];
var nouns = ["waterfall", "river", "breeze", "moon", "rain", "wind", "sea", "morning", "snow", "lake", "sunset", "pine", "shadow", "leaf", "dawn", "glitter", "forest", "hill", "cloud", "meadow", "sun", "glade", "bird", "brook", "butterfly", "bush", "dew", "dust", "field", "fire", "flower", "firefly", "feather", "grass", "haze", "mountain", "night", "pond", "darkness", "snowflake", "silence", "sound", "sky", "shape", "surf", "thunder", "violet", "water", "wildflower", "wave", "water", "resonance", "sun", "wood", "dream", "cherry", "tree", "fog", "frost", "voice", "paper", "frog", "smoke", "star", "atom", "band", "bar", "base", "block", "boat", "term", "credit", "art", "fashion", "truth", "disk", "math", "unit", "cell", "scene", "heart", "recipe", "union", "limit", "bread", "toast", "bonus", "lab", "mud", "mode", "poetry", "tooth", "hall", "king", "queen", "lion", "tiger", "penguin", "kiwi", "cake", "mouse", "rice", "coke", "hola", "salad", "hat"];

function haikunate() {
  var _ref = arguments.length <= 0 || arguments[0] === undefined ? {} : arguments[0];

  var _ref$delimiter = _ref.delimiter;
  var delimiter = _ref$delimiter === undefined ? '-' : _ref$delimiter;
  var _ref$tokenLength = _ref.tokenLength;
  var tokenLength = _ref$tokenLength === undefined ? 4 : _ref$tokenLength;
  var _ref$tokenHex = _ref.tokenHex;
  var tokenHex = _ref$tokenHex === undefined ? false : _ref$tokenHex;
  var _ref$tokenChars = _ref.tokenChars;
  var tokenChars = _ref$tokenChars === undefined ? "0123456789" : _ref$tokenChars;

  var adj = undefined,
      noun = undefined,
      i = undefined,
      sections = undefined,
      token = "";

  if (tokenHex === true) tokenChars = "0123456789abcdef";

  adj = adjs[Math.floor(Math.random() * adjs.length)];
  noun = nouns[Math.floor(Math.random() * nouns.length)];

  for (i = 0; i < tokenLength; i++) {
    token += tokenChars.charAt(Math.floor(Math.random() * tokenChars.length));
  }

  sections = [adj, noun, token];
  return sections.filter(function (e) {
    return e === 0 || e;
  }).join(delimiter);
}

module.exports = exports["default"];